import { focuser, dispatcher } from "./io.js"
export const withFocus = (action, selector) => (state) => [
  state,
  dispatcher(action),
  focuser(selector)
]

export const withEnterKey = (action) => (state, payload) => {
  if (payload.key && payload.key === "Enter") return [action, payload]
  return state
}

export const withTargetValue = (action) => (state, payload) => {
  if (payload.target && payload.target.value)
    return [action, payload.target.value]
  return state
}
